summaryrefslogtreecommitdiffstats
path: root/bootstrap.sh
diff options
context:
space:
mode:
authorLennart Poettering <lennart@poettering.net>2006-07-27 18:14:19 +0000
committerLennart Poettering <lennart@poettering.net>2006-07-27 18:14:19 +0000
commitc2ec65fc81cc51573f3fb9deb02fa2830a359604 (patch)
tree49e831a8851cc24d19e0078f1f2e7c5af8a29a10 /bootstrap.sh
parentbd57a254d64dfd1cecb36d54e5417c5972ec1841 (diff)
initial commit
git-svn-id: file:///home/lennart/svn/public/paprefs/trunk@3 54a58c19-9419-0410-9bbb-d8fa3e5d54ff
Diffstat (limited to 'bootstrap.sh')
-rwxr-xr-xbootstrap.sh59
1 files changed, 59 insertions, 0 deletions
diff --git a/bootstrap.sh b/bootstrap.sh
new file mode 100755
index 0000000..0d3db06
--- /dev/null
+++ b/bootstrap.sh
@@ -0,0 +1,59 @@
+#!/bin/bash
+# $Id$
+
+# This file is part of paprefs.
+#
+# paprefs is free software; you can redistribute it and/or modify it
+# under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# paprefs is distributed in the hope that it will be useful, but
+# WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with paprefs; if not, write to the Free Software Foundation,
+# Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA.
+
+VERSION=1.9
+
+run_versioned() {
+ local P
+ local V
+
+ V=$(echo "$2" | sed -e 's,\.,,g')
+
+ if [ -e "`which $1$V`" ] ; then
+ P="$1$V"
+ else
+ if [ -e "`which $1-$2`" ] ; then
+ P="$1-$2"
+ else
+ P="$1"
+ fi
+ fi
+
+ shift 2
+ "$P" "$@"
+}
+
+set -ex
+
+if [ "x$1" = "xam" ] ; then
+ run_versioned automake "$VERSION" -a -c --foreign
+ ./config.status
+else
+ rm -rf autom4te.cache
+ rm -f config.cache
+
+ run_versioned aclocal "$VERSION"
+ run_versioned autoconf 2.59 -Wall
+ run_versioned autoheader 2.59
+ run_versioned automake "$VERSION" -a -c --foreign
+
+ CFLAGS="-g -O0" ./configure --sysconfdir=/etc "$@"
+
+ make clean
+fi